//初始化操作成功
function fuinitJPush(user_mobile){
  //清除推送
  fuclearNotification();

  var jpush = api.require('ajpush');
  jpush.init(function(ret, err){
    if(ret && ret.status){
      console.log("推送初始化成功"+JSON.stringify(ret));
      fubindAliasAndTags(user_mobile);
      setListener();
      fuaddEventListener();
    }else{
      console.log("推送初始化失败");
    }
  });
}


function fubindAliasAndTags(alias){
  var jpush = api.require('ajpush');
  var tags;
  if(!alias){
    alias = '';
  }
  if(tags){
    tags = tags.split(',');
  }
  jpush.bindAliasAndTags({
    alias:alias,
    tags:tags
  }, function(ret, err){
    console.log(alias + "绑定标签成功");
  });
}


function fuaddEventListener() {
  var jpush = api.require('ajpush');
  api.addEventListener({name:'appintent'}, function(ret,err) {
    fushuxin();
    //  alert('通知被点击，收到数据：\n' + JSON.stringify(ret));//监听通知被点击后收到的数据
    //  if(ret && ret.appParam.ajpush){
    //      var ajpush = ret.appParam.ajpush;
    //      alert(ajpush);
    //      var id = ajpush.id;
    //      alert(id);
    //      var title = ajpush.title;
    //      var content = ajpush.content;
    //      var extra = ajpush.extra;
    //      alert(extra.aaaaa);
    //  }
  })
  api.addEventListener({name:'pause'}, function(ret,err) {
     //onPause();//监听应用进入后台，通知jpush暂停事件
  })

  api.addEventListener({name:'resume'}, function(ret,err) {
    fushuxin();
     //onResume();//监听应用恢复到前台，通知jpush恢复事件
  })
}

function furemoveListener(){
  var jpush = api.require('ajpush');
  jpush.removeListener();
  api.alert({msg: '移除成功，移除后网页将不再收到消息，消息将弹出通知到状态栏'});
}

function fuclearNotification(id){
  var jpush = api.require('ajpush');
  if(!id){
    id = -1;
  }
  jpush.clearNotification({id:id});
  console.log("清除历史推送");
}


//统计-app恢复
function onResume(){
  var jpush = api.require('ajpush');
  jpush.onResume();
  console.log('JPush onResume');
}

//统计-app暂停
function onPause(){
  var jpush = api.require('ajpush');
  jpush.onPause();
  console.log('JPush onPause');
}



function setListener(){
  var jpush = api.require('ajpush');
  jpush.setListener(function(ret, err){
    if(ret){
      console.log('收到消息:' + JSON.stringify(ret));
      fushuxin();

      if(api.systemType == 'ios'){
        setTimeout(function(){notify(ret.content)},1000);
      }

      //setTimeout(function(){notify(ret.content)},1000);
    }
  });
  console.log('设置成功，收到的消息将通过此函数回调给网页，不再弹出通知到状态栏');
}

function notify(content){
  console.log("执行本地刷新");
  api.notification({
    vibrate:[300, 500],
    // sound:'widget://res/horse.ogg',//自定义声音
      notify: {
        title: '', //标题，默认值为应用名称，只Android有效
          content: content, //内容，默认值为'有新消息'
          extra:{}, //传递给通知的数据，在通知被点击后，该数据将通过监听函数回调给网页
          updateCurrent:true//是否覆盖更新已有的通知，取值范围true|false。只Android有效
      }
  }, function(ret, err){
      if(ret){
          console.log("本地通知成功："+JSON.stringify(ret));
      }else{
          console.log("本地通知错误："+JSON.stringify(err));
      }
  });
}


function fushuxin() {
  console.log('执行刷新任务');
  var jsfun = 'fuinitializedata();';
  api.execScript({
      name: 'wode_my',
      frameName: 'my_frame',
      script: jsfun
  });
  api.execScript({
      name: 'order',
      frameName:'orderframe',
      script: jsfun
  });
  console.log('全部刷新成功');
}
