//post请求,带验证参数
function fuPostData(goal,param,method){
  // api.showProgress({title: '努力加载中...',text: '先喝杯茶...',modal: false});
  param['token'] = api.getPrefs({sync: true,key: 'token'});
  //console.log(JSON.stringify(param));
  console.log(api.getPrefs({sync: true,key:'UrlPrefix'}) + goal);
  console.log(JSON.stringify(param));
  api.ajax({
      url:api.getPrefs({sync: true,key:'UrlPrefix'}) + goal,
      method:'post',
      dataType:'text',
      data:{values:param}
  }, function(ret, err) {
      // api.hideProgress();
      //console.log(JSON.stringify(ret));
        if (ret) {
          try{
            var retobj = JSON.parse(ret);
          }catch(err){
            api.toast({msg: "返回错误，请尝试重新打开APP",duration: 3000,location: 'bottom'});
            console.log(ret);
            return;
          }
          if(typeof(retobj.status) == "undefined"){
              api.toast({msg:"参数错误，尝试重新打开APP",duration: 2000,location: 'bottom'});
          }else if(retobj.status == 0){
              //验证失败，跳转回登录界面
              api.openWin({
                  name: 'login',
                  url: 'widget://html/login.html',
                  reload:true,
                  slidBackEnabled: false,
                  pageParam: {
                      msg: '验证失败，跳转回登录界面'
                  }
              });
          }
          else {
              method(retobj);
          }
      } else {
        api.toast({msg: "连接错误，请查看网络是否已经连接",duration: 3000,location: 'bottom'});
        console.log(err.msg);
      }
  });
}

/**
 *  url 图片路径
 *  ext 图片格式
 *  callback 结果回调
 */
function getUrlBase64(url, ext, callback) {
    var canvas = document.createElement("canvas");   //创建canvas DOM元素
    var ctx = canvas.getContext("2d");
    var img = new Image;
    img.crossOrigin = 'Anonymous';
    img.src = url;
    img.onload = function () {
        canvas.height = 1000; //指定画板的高度,自定义
        canvas.width = 800; //指定画板的宽度，自定义
        ctx.drawImage(img, 0, 0, 800, 1000); //参数可自定义
        var dataURL = canvas.toDataURL("image/" + ext);
        callback.call(this, dataURL); //回掉函数获取Base64编码
        canvas = null;
    };
}

//放大图片
//onclick="fuImgPro(this.src)"
function fuImgPro(src){
    $api.append($api.dom('body'),
    '<div id="picbg" onclick="fuImgProClose(this)" style="position:fixed;top:0;left:0;width:100%;height:100%;background-color:#000;">'+
    '<img src="'+src+'" style="position:absolute;top:0;bottom:0;width:100%;max-height:100%;margin:auto;"/>'+
    '</div>');
}

//放大图片关闭
function fuImgProClose(thiss){
  document.body.removeChild(thiss);
}
//拨打电话
function fncall(phone) {
    api.call({
        type: 'tel_prompt',
        number: phone
    });
}

function countObj(arr) {
    var count = 0;
    for (var i in arr) {
        if (typeof arr[i] == 'object') {
            ++count;
        }
    }
    return count;
}
// 基于dialogBox的一个 alert样式的对话框
// var dialogBox = api.require('dialogBox');
function dAlert(param,method) {
    if (!param.title && !param.content) {
        throw "ERR: param.title OR param.content is not define!";
        return false;
    }
    if (!param.tapClose && param.tapClose!=false) {
        param.tapClose = true;
    }
    if (!method) {
        method = {
            leftback: function() {},
            rightback: function() {}
        }
    }
    if (!method.leftback) {
        method.leftback = function() {};
    }
    if (!method.rightback) {
        method.rightback = function() {};
    }
    dialogBox.alert({
        texts: {
            title: param.title||'',
            content: param.content||'',
            leftBtnTitle: param.leftBtnTitle||'取消',
            rightBtnTitle: param.rightBtnTitle||'确认'
        },
        styles: {
            bg: 'rgba(255,255,255,0.9)',
            corner:5,
            w: 300,
            title: {
                marginT: 20,
                // icon: 'widget://res/gou.png',
                // iconSize: 40,
                titleSize: 16,
                titleColor: '#000'
            },
            content: {
                marginT: 10,
                marginB: 20,
                color: '#484848',
                size: 12
            },
            left: {
                marginB: 0,
                marginL: 0,
                w: 150,
                h: 40,
                corner: 0,
                bg: 'rgba(255,255,255,0)',
                color: '#999',
                size: 14
            },
            right: {
                marginB: 0,
                marginL: 0,
                w: 150,
                h: 40,
                corner: 0,
                bg: 'rgba(255,255,255,0)',
                color: 'rgb(30,120,255)',
                size: 14
            },
            horizontalLine:{
                color:'rgba(225,225,225,0.9)',
                height: 1
            },
            verticalLine:{
                color:'rgba(225,225,225,0.9)',
                height: 1
            }
        },
        tapClose: param.tapClose,
    }, function(ret) {
        if (ret.eventType == 'left') {
            // console.log('left');
            method.leftback();
            dialogBox.close({
                dialogName: 'alert'
            });

        } else if (ret.eventType == 'right') {
            // console.log('right');
            method.rightback()
            dialogBox.close({
                dialogName: 'alert'
            });
        }
    });
}

//刷新（一般）
function refresh(color,refreshback) {
    if (!color) {
        color = {};
    }
    if (!color.bg) {
        color.bg = '#f5f5f5';
    }
    if (!color.text) {
        color.text = '#333';
    }
    if (!refreshback) {
        refreshback = function() {};
    }
    api.setRefreshHeaderInfo({
        visible: true,
        loadingImg: '',
        bgColor: color.bg,
        textColor: color.text,
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: false
    }, function(ret, err) {
        setTimeout(function() {
            refreshback();
            api.refreshHeaderLoadDone();
        }, 1000);
    });
}

function dInput(param) {
    if (!param) {
        param = {};
    }
    if (param.tapClose !== false) {
        param.tapClose = true;
    }
    var titleStyle, boxHeight;
    if (!param.title) {
        titleStyle = {
            h: 0,
            marginT: 20
        };
        boxHeight = 170;
    } else {
        titleStyle = {
            h: 30,
            marginT: 20,
            alignment: param.titleAlignment || 'center', //取值范围: center, left, right
            size: param.titleSize || 16,
            color: param.titleColor || '#000'
        };
        boxHeight = 200;
    }
    if (!param.leftback) {
        param.leftback = function() {};
    }
    if (!param.rightback) {
        param.rightback = function() {};
    }
    dialogBox.input({
        keyboardType: param.keyboardType || 'default', //取值范围: default, number, search 搜索, secure 密码, forbid 禁用输入中文/bug
        texts: {
            title: param.title,
            placeholder: param.placeholder || '请输入',
            default: param.default,
            leftBtnTitle: param.leftBtnTitle || '取消',
            rightBtnTitle: param.leftBtnTitle || '确定'
        },
        styles: {
            bg: param.boxbg || '#fff',
            corner: 2,
            w: 300,
            h: boxHeight,
            title: titleStyle,
            input: {
                h: 75,
                marginT: 10,
                marginLeft: 20,
                marginRight: 20,
                textSize: param.inputSize || 15,
                textColor: param.inputColor || '#333',
                borderColor: param.inputBorderColor || 'rgba(150,150,150,0.1)',
                borderWidth: param.inputBorderWidth || 1,
                bg: param.inputBg || 'rgba(245,245,245,1)',
                verticalCenter: param.inputVerticalCenter || true
            },
            dividingLine: {
                width: 0,
                color: '#696969'
            },
            left: {
                bg: 'rgba(0,0,0,0)',
                color: param.leftColor || '#999',
                size: 15,
                h: 50
            },
            right: {
                bg: 'rgba(0,0,0,0)',
                color: param.rightColor || '#007FFF',
                size: 15,
                h: 50
            },
            horizontalLine: {
                color: '#F5F5F5',
                height: 1
            },
            verticalLine: {
                color: '#F5F5F5',
                width: 1
            }
        },
        tapClose: param.tapClose
    }, function(ret) {
        if (ret.eventType == 'left') {
            param.leftback(ret.text);
            dialogBox.close({
                dialogName: 'input'
            });
        } else if (ret.eventType == 'right') {
            param.rightback(ret.text);
            dialogBox.close({
                dialogName: 'input'
            });
        }
    });
}
